#include<stdio.h>
#include<iostream>
#include <algorithm>
int a[1000];
int broj[1000];
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int x,y,z;
	cin >> x >> y >> z;
	int a,b,c,d,e,f;
	int x1=x,y1=y,z1=z;
	int br1=0,br2=0,br3=0;
	if(x1==0)
	br1=0;
	else while(x1>0)
	{
		br1++;
		x1=x1/10;
	}
	if(y1==0)
	br2=0;
	else while(y1>0)
	{
		br2++;
		y1=y1/10;
	}
	if(z1==0)
	br3=0;
	else while(z1>0)
	{
		br3++;
		z1=z1/10;
	}
	a=x+y*(br1*10)+z*((br1+br2)*10);
	b=x+z*(br1*10)+y*((br1+br3)*10);
	c=y+x*(br2*10)+z*((br1+br2)*10);
	d=y+z*(br2*10)+x*((br3+br2)*10);
	e=z+x*(br3*10)+y*((br1+br3)*10);
	f=z+y*(br3*10)+x*((br3+br2)*10);
	int max=a;
	if(b>max)
	max=b;
	if(c>max)
	max=c;
	if(d>max)
	max=d;
	if(e>max)
	max=e;
	if(f>max)
	max=f;
	cout << max;
}